{"title":"Create journalLines (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_create_journalline/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_journalline, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_create_journalline","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Creates a journal line in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create journalLines (v1.0)","slug":"create-journallines-v10","at":0,"chars":1834},{"level":2,"title":"HTTP request (v1.0)","slug":"http-request-v10","at":80,"chars":234},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":314,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":423,"chars":97},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":520,"chars":132},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":652,"chars":870},{"level":2,"title":"Related information","slug":"related-information","at":1522,"chars":312}],"text":"# Create journalLines (v1.0)\nCreates a journal line object in Business Central.\n## HTTP request (v1.0)\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({id})/journals({id})/journalLines({id})\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of journalLines object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and journalLines object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({id})/journals({id})/journalLines\nContent-type: application/json\n\n{\n  \"lineNumber\": 10000,\n  \"accountId\": \"id-value\",\n  \"accountNumber\": \"10400\",\n  \"postingDate\": \"2015-12-31\",\n  \"documentNumber\": \"1234\",\n  \"externalDocumentNumber\": \"\",\n  \"amount\": 1500,\n  \"description\": \"Accounts Receivable\",\n  \"comment\": \"\"\n}\n```\nResponse\n```json\nHTTP/1.1 201 Created\nContent-type: application/json\n\n{\n  \"id\": \"id-value\",\n  \"journalDisplayName\": \"DEFAULT\",\n  \"lineNumber\": 10000,\n  \"accountId\": \"id-value\",\n  \"accountNumber\": \"10400\",\n  \"postingDate\": \"2015-12-31\",\n  \"documentNumber\": \"1234\",\n  \"externalDocumentNumber\": \"\",\n  \"amount\": 1500,\n  \"description\": \"Accounts Receivable\",\n  \"comment\": \"\",\n  \"lastModifiedDateTime\": \"2017-03-17T19:02:22.043Z\"\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\ndynamics_graph_reference\nJournal Line<../resources/dynamics_journalline>\nGet Journal Line<dynamics_journalline_get>\nUpdate Journal Line<dynamics_journalline_update>\nDelete Journal Line<dynamics_journalline_delete>"}